Package org.eclipse.net4j.util.concurrent

# Interface DelegableReentrantLock.DelegateDetector

Enclosing class:
  `DelegableReentrantLock`

public static interface DelegableReentrantLock.DelegateDetector

Author:
  Eike Stepper

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static class`
`DelegableReentrantLock.DelegateDetector.Factory`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isDelegate(Thread thread, Thread owner)`

## Method Details

### isDelegate

boolean isDelegate(Thread thread, Thread owner)